"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCertificate = void 0;
const chalk_1 = __importDefault(require("chalk"));
const getCertificate = (client, domainName) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    try {
        const result = yield client.listCertificates({}).promise();
        console.log(chalk_1.default.greenBright(`ACM certificate list`, JSON.stringify(result, undefined, 4)));
        const match = (_a = result.CertificateSummaryList) === null || _a === void 0 ? void 0 : _a.find((certificateSummary) => {
            if (certificateSummary.DomainName === domainName) {
                return true;
            }
            return false;
        });
        if (typeof match === 'undefined') {
            console.log(chalk_1.default.yellowBright(`No matching certificates found!`));
        }
        return match;
    }
    catch (e) {
        console.log(chalk_1.default.bgRedBright(`Failed to list certificates in ACM`), e);
        return undefined;
    }
});
exports.getCertificate = getCertificate;
//# sourceMappingURL=acm-utils.js.map