"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.continueLifecycle = void 0;
const chalk_1 = __importDefault(require("chalk"));
const continueLifecycle = (autoscalingClient, autoScalingGroupName, lifecycleHookName, lifecycleActionToken, instanceId) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        const params = {
            AutoScalingGroupName: autoScalingGroupName,
            LifecycleActionResult: 'CONTINUE',
            LifecycleHookName: lifecycleHookName,
            InstanceId: instanceId,
            LifecycleActionToken: lifecycleActionToken
        };
        console.log(chalk_1.default.cyanBright('Continuing lifecycle with params'), JSON.stringify(params, undefined, 4));
        const result = yield autoscalingClient
            .completeLifecycleAction(params)
            .promise();
        console.log(chalk_1.default.greenBright(`Triggered lifecycle action!`), JSON.stringify(result, undefined, 4));
    }
    catch (e) {
        console.log(chalk_1.default.redBright(`Failed to trigger lifecycle action`), e);
        throw e;
    }
});
exports.continueLifecycle = continueLifecycle;
//# sourceMappingURL=asg-utils.js.map